#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let url = "https://www.rust-lang.org";
    let response = reqwest::get(url).await?;
    let text = response.text().await?;
    println!("{text}");
    Ok(())
}
